Subject: Re: [net-next 1/5] stmmac: add CHAINED descriptor mode support

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 12 Oct 2011 08:37:31 +0200

On 10/11/2011 9:42 PM, David Miller wrote:
> From: Giuseppe CAVALLARO <[email-masked]>
> Date: Tue, 11 Oct 2011 09:30:42 +0200
> 
>> From: Rayagond Kokatanur <[email-masked]>
>>
>> This patch enhances the STMMAC driver to support CHAINED mode of
>> descriptor (useful also on validation side).
>>
>> STMMAC supports DMA descriptor to operate both in dual buffer(RING)
>> and linked-list(CHAINED) mode. In RING mode (default) each descriptor
>> points to two data buffer pointers whereas in CHAINED mode they point
>> to only one data buffer pointer.
>>
>> In CHAINED mode each descriptor will have pointer to next descriptor in
>> the list, hence creating the explicit chaining in the descriptor itself,
>> whereas such explicit chaining is not possible in RING mode.
>>
>> Signed-off-by: Rayagond Kokatanur <[email-masked]>
>> Hacked-by: Giuseppe Cavallaro <[email-masked]>
> 
> These ifdefs added all over the place in the foo.c files are terrible.
> 
> Abstract out the differences between RING and CHAINED mode into helper
> inline routines which live in some foo.h header file, that way you won't
> need any ifdefs in the driver foo.c files.

Hello David

I'll rework the patch and send all these updates to the mailing list
again (as V2).

Peppe

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>